svn commit: r251275 - head/usr.sbin/bsdconfig/share/media

Devin Teske dteske at FreeBSD.org
Sun Jun 2 23:18:28 UTC 2013


Author: dteske
Date: Sun Jun  2 23:18:27 2013
New Revision: 251275
URL: http://svnweb.freebsd.org/changeset/base/251275

Log:
  Fix a bug that would cause a spurious warning to appear to appear in an
  edge-case. The case was that you have been through the FTP setup once before
  and on the second time through, you cancel at the re-selection of a new FTP
  server.
  
  The spurious warning was "device_media: not found" and was caused because
  the underlying call to f_device_network_down() did not check to see if the
  network device existed before attempting to shut it down.
  
  Add checks to make sure we don't forge ahead unless the device exists.

Modified:
  head/usr.sbin/bsdconfig/share/media/ftp.subr

Modified: head/usr.sbin/bsdconfig/share/media/ftp.subr
==============================================================================
--- head/usr.sbin/bsdconfig/share/media/ftp.subr	Sun Jun  2 23:15:12 2013	(r251274)
+++ head/usr.sbin/bsdconfig/share/media/ftp.subr	Sun Jun  2 23:18:27 2013	(r251275)
@@ -502,6 +502,7 @@ f_media_set_ftp_userpass()
 f_device_network_up()
 {
 	local dev="$1" netDev
+	f_struct device_$dev || return $FAILURE
 	device_$dev get private netDev || return $SUCCESS # No net == happy net
 	f_device_init $netDev
 }
@@ -513,6 +514,7 @@ f_device_network_up()
 f_device_network_down()
 {
 	local dev="$1" netDev
+	f_struct device_$dev || return $FAILURE
 	device_$dev get private netDev || return $SUCCESS
 	f_device_shutdown $netDev
 }


More information about the svn-src-head mailing list